/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.12.04
 * 描述               :                   产品码与认证机构
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Com.mapper.ComPscROrgMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_PSC_R_ORG", namespace=ComPscROrgMapper.class)
public class ComPscROrg extends BaseVO implements Serializable {

	/** 产品规范码 */
	@Column
	private String psc;

	/** 认证机构代码(base_info的4096) */
	@Column("ORG_CODE")
	private String orgCode;

	/** 认证机构描述 */
	@Column("ORG_NAME")
	private String orgName;

	/** 适用厚度(下限) */
	@Column("HEIGHT_MIN")
	private Integer heightMin;

	/** 适用厚度(上限) */
	@Column("HEIGHT_MAX")
	private Integer heightMax;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 0000001 (主键7位) */
	@Id
	private String id;

	public String getPsc() {
		return this.psc;
	}

	public String getOrgCode() {
		return this.orgCode;
	}

	public String getOrgName() {
		return this.orgName;
	}

	public Integer getHeightMin() {
		return this.heightMin;
	}

	public Integer getHeightMax() {
		return this.heightMax;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getId() {
		return this.id;
	}

	public void setPsc(String psc) {
		this.psc = psc;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public void setHeightMin(Integer heightMin) {
		this.heightMin = heightMin;
	}

	public void setHeightMax(Integer heightMax) {
		this.heightMax = heightMax;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setId(String id) {
		this.id = id;
	}

}
